function [C,IX1,IX2] = partial_intersect(A, B, sep)
    if size(A,1) == 1
        A = A';
    end
    B_expand = cell(length(B), 1);
    for ix = 1:length(B)
        split_it = strfind(B{ix}, sep);
        for jx = 1:length(split_it)
            end_pos = split_it(jx);
            if jx == 1
                start_pos = 1;
            else
                start_pos = split_it(jx - 1);
            end
            %
            if jx == 1 || ~any(any(strcmp(B{ix}(start_pos:(end_pos-1)), B_expand(:,1:(jx-1)))))
                B_expand{ix, jx} =  B{ix}(start_pos:(end_pos-1));
            end
        end
        if length(split_it) == 1
            if ~any(any(strcmp(B{ix}((end_pos+3):end), B_expand(:,1))))
                B_expand{ix, 2} =  B{ix}((end_pos+3):end);
            end
        elseif isempty(split_it)
                B_expand{ix, 1} =  B{ix};
        end
    end
    B_expand(cellfun(@isempty, B_expand)) = {''};
    [C, IX1, IX2] = intersect(A,B_expand);
    IX2 = mod(IX2, size(B_expand,1));
end
