
% get parent directory path
my_parent = fileparts(mfilename('fullpath'));
cd(my_parent);

% directories to add
my_paths = {'regularizers','logrank','aux'};

% add each directory to path
addpath(my_parent);
for i = 1:length(my_paths)
   addpath( sprintf('%s/%s', my_parent,my_paths{i})); 
end

% start parpool if it is not already running
v = ver('Matlab');
v = str2double(v.Version);
if  v < 8.2
    if matlabpool('SIZE') == 0, matlabpool; end
else
    if isempty(gcp('nocreate')), parpool(3);  end
end

clear i my_parent my_paths