
%% Params for NetCox
aa = (10:99)./100;
params.lambda_nc = sort(10.^[-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10]);
params.lambda_nc = unique(diag(aa) * repmat(params.lambda_nc,length(aa)));
params.alpha_nc = [1, 5:5:95];
params.alpha_nc = [1, 50];            %[0.01,0.5,0.95];
params.alpha_nc = params.alpha_nc / 100; % necessary because of bug generating sequence

%% Params for DegreeCox
params.lambda_dc = sort(unique([10.^[6,5,4,3,2,1,0,-1,-2,-3,-4,-5,-6]]));
params.lambda_dc = unique(diag(aa) * repmat(params.lambda_dc,length(aa)));
params.alpha_dc = 0;

clear aa
%% Output folder in results
params.folder = 'tothill_many';

%% Default params for running main
% vaues for reg_type:
%  - degree
%  - netcox
params.reg_list = {'netcox', 'degree'};

%% Default params for running 
params.set_names = {'bono','tcga','tothill'};
% sets_names = {'tothill'};
params.collection_names = { 'common', 'common_funlinkage'};

params.joint_names = cell(length(params.set_names) * length(params.collection_names),1);

count = 1;
for ix = 1:length(params.set_names)
   for jx = 1:length(params.collection_names)
       params.joint_names{count} = sprintf('%s_%s',params.collection_names{jx}, params.set_names{ix});
       count = count + 1;
   end
end
